namespace IRaCIS.Core.Domain.Models;

[Comment("后台 - 系统签署文档")]
[Table("SystemDocument")]
public class SystemDocument : BaseFullDeleteAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    public List<SystemDocConfirmedUser> SystemDocConfirmedUserList { get; set; }
    [JsonIgnore]
    public List<SystemDocNeedConfirmedUserType> NeedConfirmedUserTypeList { get; set; }
    [JsonIgnore]
    [ForeignKey("FileTypeId")]
    public Dictionary FileType { get; set; }
    #endregion
    public Guid FileTypeId { get; set; }
    public string Name { get; set; } = string.Empty;

    public int SignViewMinimumMinutes { get; set; }

    [StringLength(1000)]
    public string Path { get; set; } = string.Empty;
}

